<?php

add_action( 'widgets_init', 'mq_blog_widgets' );

/**
 * Register our widget.
 * 'Example_Widget' is the widget class used below.
 *
 * @since 0.1
 */
function mq_blog_widgets() {
	register_widget( 'MQ_Blog_Widget' );
}

/**
 * Example Widget class.
 * This class handles everything that needs to be handled with the widget:
 * the settings, form, display, and update.  Nice!
 *
 * @since 0.1
 */
class MQ_Blog_Widget extends WP_Widget {

	/**
	 * Widget setup.
	 */
	function MQ_Blog_Widget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'mq_blog_widget', 'description' => __('لعرض تصنيف بالصفحة الرئيسية للموقع.', 'mqcategorywidget') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'mq_blog_widget' );

		/* Create the widget. */
		$this->WP_Widget( 'mq_blog_widget', __('تصنيف بالصفحة الرئيسية', 'mqcategorywidget'), $widget_ops, $control_ops );
	}

	/**
	 * How to display the widget on the screen.
	 */
	function widget( $args, $instance ) {
		extract( $args );

		/* Our variables from the widget settings. */
		$title = apply_filters('widget_title', $instance['title'] );
		$count = $instance['count'];
		$cats = $instance['posts_cat'];
		/* Before widget (defined by themes). */
		echo '<div class="widget">';

		/* Display the widget title if one was input (before and after defined by themes). */
		if ($title)
			echo '<h3><span>' . $title . '</span><a href="?cat='.$cats.'" class="cut-icon-plus-2" title="المزيد"></a></h3>';
?>


			
			
			
<!-- #################  highlight category-2 #################### -->
<ul>
<?php $i = 1;?>

<?php
	$high_query = new WP_Query(array('cat' => $cats,'posts_per_page'=>$count ) );
	while ($high_query->have_posts()) : $high_query->the_post();
 ?>


<?php if($i == 1):?>
<li>
	<div class="post-img entypo-icon-images">
		<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"> <?php the_post_thumbnail( 'bigthumb' ); ?></a>
		<div class="date"><?php the_time('j M Y'); ?></div>
	</div>
	<div class="auther"><br /></div>
	<div class="name"><a href="<?php the_permalink() ?>" rel="bookmark" title="رابط <?php the_title(); ?>"><?php the_title(); ?></a></div>
	<div class="content"><?php the_content_limit(250,''); ?>
		<div class="clr"></div>
	</div>
</li>

<?php elseif($i > 1 ):?>
<li><div class="name"><a href="<?php the_permalink() ?>" rel="bookmark" title="رابط <?php the_title(); ?>"><?php the_title(); ?></a></div></li>
 <?php endif; ?>

 <?php $i++; ?>
<?php endwhile; ?>
 <?php wp_reset_query(); ?>
</ul>	
			
			
			
			
			
			
			
			
<?php
		/* After widget (defined by themes). */
		echo '</div>';
	}

	/**
	 * Update the widget settings.
	 */
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['count'] = strip_tags( $new_instance['count'] );
		$instance['posts_cat'] = ( $new_instance['posts_cat'] );
		return $instance;
	}

	/**
	 * Displays the widget settings controls on the widget panel.
	 * Make use of the get_field_id() and get_field_name() function
	 * when creating your form elements. This handles the confusing stuff.
	 */
	function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 'title' => __('اسم البلوك', 'mqcategorywidget'), 'count' => 3 , 'posts_cat' => __('غير مصنّف', 'mqcategorywidget'),);
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Widget Title: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('عنوان البلوك:', 'mqcategorywidget'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:95%;" />
		</p>

		<p>
					<label for="<?php echo $this->get_field_id( 'posts_cat' ); ?>"><?php _e( 'التصنيف', 'mqcategorywidget' ); ?>:</label><br/>
					<?php
					$categories_args = array(
						'name'            => $this->get_field_name( 'posts_cat' ),
						'selected'        => $instance['posts_cat'],
						'orderby'         => 'Name',
						'hierarchical'    => 1,
						'show_option_all' => __( 'جميع التصنيفات', 'mqcategorywidget' ),
						'hide_empty'      => '0',
					);
					wp_dropdown_categories( $categories_args ); ?>
		</p>
		
		<!-- Your Name: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'count' ); ?>"><?php _e('عدد المقالات:', 'mqcategorywidget'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'count' ); ?>" name="<?php echo $this->get_field_name( 'count' ); ?>" value="<?php echo $instance['count']; ?>" style="width:95%;" />
		</p>

	

	<?php
	}
}

?>